soapServer.c File Reference

## Functions

| SOAP_SOURCE_STAMP ("@(#) soapServer.c ver 2.8.139 2026-03-19 07:20:35 GMT")
| while (soap->keep_alive)
SOAP_FMAC5 int SOAP_FMAC6 | soap_serve_request (struct soap *soap)
SOAP_FMAC5 int SOAP_FMAC6 | soap_serve_ns__getProxyReq (struct soap *soap)
SOAP_FMAC5 int SOAP_FMAC6 | soap_serve_ns__getNewProxyReq (struct soap *soap)
SOAP_FMAC5 int SOAP_FMAC6 | soap_serve_ns__renewProxyReq (struct soap *soap)
SOAP_FMAC5 int SOAP_FMAC6 | soap_serve_ns__putProxy (struct soap *soap)
SOAP_FMAC5 int SOAP_FMAC6 | soap_serve_ns__getTerminationTime (struct soap *soap)
SOAP_FMAC5 int SOAP_FMAC6 | soap_serve_ns__destroy (struct soap *soap)

## Variables

return | SOAP_OK

## Function Documentation

## soap_serve_ns__destroy()

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_ns__destroy | ( | struct soap * | soap | ) |

## soap_serve_ns__getNewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_ns__getNewProxyReq | ( | struct soap * | soap | ) |

## soap_serve_ns__getProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_ns__getProxyReq | ( | struct soap * | soap | ) |

## soap_serve_ns__getTerminationTime()

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_ns__getTerminationTime | ( | struct soap * | soap | ) |

## soap_serve_ns__putProxy()

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_ns__putProxy | ( | struct soap * | soap | ) |

## soap_serve_ns__renewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_ns__renewProxyReq | ( | struct soap * | soap | ) |

## soap_serve_request()

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_request | ( | struct soap * | soap | ) |

## SOAP_SOURCE_STAMP()

SOAP_SOURCE_STAMP | ( | "@(#) soapServer.c ver 2.8.139 2026-03-19 07:20:35 GMT" |  | ) |

## while()

while | ( | soap-> | keep_alive | ) |

## Variable Documentation

## SOAP_OK

return SOAP_OK